# sphinx-multiversion 0.2

A Sphinx extension for building self-hosted versioned documentation.

## Project Links

- Source code: https://github.com/Holzhaus/sphinx-multiversion

General

- Installation
  - Install from PyPi
  - Install from GitHub
  - Install via `setup.py`
- Quickstart
- Configuration
  - Tag/Branch/Remote whitelists
  - Release Pattern
  - Output Directory Format
  - Overriding Configuration Variables
- Templates
  - Version Listings
    - List all branches/tags
    - List branches and tags separately
    - List releases and development versions separately
  - Version Banners
  - ReadTheDocs Theme
- HTML Context
  - `Version` Objects
  - Versions
  - Functions
  - Other Variables

Appendix

- Hosting on GitHub Pages
- Frequently Asked Questions
- Changelog